package io.renren.modules.app.dao;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import io.renren.modules.app.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 个人维修资金
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface LpqcDao extends BaseMapper<LpqcEntity> {
    //查询栋号编码
    String selectDhbm(@Param("xmbm") String xmbm,@Param("dhmc") String dhmc);

    //插入房屋信息
    void insertFwxx(FwxxEntity fwxxEntity);

    //插入房屋信息
    void insertFwxxList(List<FwxxEntity> fwxxEntity);

    // 获取最新的房屋编码
    String querydhbm();

    String selectDhbm2();

    //获取房屋性质编码
    String selectFwxzID(@Param("value") String value,@Param("type") String type);

    //获取单元编码
    String selectDybm(@Param("dhbm")String dhbm,@Param("dymc") String dymc);

    //插入单元信息
    void  insertDyxx(DyxxEntity dyxxEntity);

    //0y 0/的单元楼层数改为1
    void updateLcs();

    Integer selectDhmc(@Param("xmbm") String xmbm,@Param("dhmc") String dhmc);
    
    List<Integer> selectdhbmbyxmdh(ZhxxEntity zhxxEntity);
    
    void updatezhxxlcs(ZhxxEntity zhxxEntity);
    
    ZhxxEntity selectdhbmbymc(ZhxxEntity zhxxEntity);
    
    String selectdhbmfwbm(ZhxxEntity zhxxEntity);
    
    FwxxEntity selectfwxx(String id);
}
